Subject: Re: bug#48592: [PATCH 0/2] Support plural forms of Author and Maintainer library headers

From: Eli Zaretskii <[email-masked]>
Date: Mon, 24 May 2021 10:28:56 +0300

On May 24, 2021 10:04:37 AM GMT+03:00, Michael Albinus <[email-masked]> wrote:
> Jonas Bernoulli <[email-masked]> writes:
> 
> Hi Jonas,
> 
> > 2) Some packages are being maintained by multiple people and those
> >    people are not members of some group or organization that could
> be
> >    used as a short-hand.  All of those people should be listed
> because
> >    they all do important work.  Emacs has a function whose purpose
> is to
> >    return the maintainer.  It is called lm-maintainer.  It returns
> just
> >    one maintainer, "the" maintainer.  Even if the package has
> multiple
> >    maintainers and they are all listed.  I propose that we accept
> the
> >    fact that some packages have multiple maintainers, and that we do
> >    that by adding a new function named lm-maintainers, which returns
> a
> >    list of maintainers.  If there is only one maintainer, it returns
> a
> >    list of length one.  There is already a function called
> lm-authors.
> >    Lets do the same for maintainers.
> >
> > I have given up on (1) and would still like to do (2).
> 
> Fine by me.
> 
> >      Jonas
> 
> Best regards, Michael.

Fine by me as well, but:
. I see no reason to deprecate lm-maintainer: there's nothing wrong with wanting to obtain the first name in the list;

 . Please describe in the doc string of lm-maintainer what it does when there's more than one.

Thanks.